/**
 * Proyecto: 9x03-Bicola - Referencias y Ficheros
 * Fichero:  Teclado.java
 * Fecha:    24/05/2012
 *
 * Licencia (CC) BY-NC-SA: giltesa.com
 */


import java.io.*;


public class Teclado
{
	private InputStreamReader	filtro;
	private BufferedReader	  teclado;

	public Teclado()
	{
		filtro = new InputStreamReader(System.in);
		teclado = new BufferedReader(filtro);
	}

	public String leerString() throws IOException
	{
		return (teclado.readLine());
	}

	public String leerString( String cadena ) throws IOException
	{
		System.out.print(cadena);
		return (teclado.readLine());
	}

	public byte leerByte() throws IOException
	{
		return (Byte.parseByte(teclado.readLine()));
	}

	public byte leerByte( String cadena ) throws IOException
	{
		System.out.print(cadena);
		return (Byte.parseByte(teclado.readLine()));
	}

	public short leerShort() throws IOException
	{
		return (Short.parseShort(teclado.readLine()));
	}

	public short leerShort( String cadena ) throws IOException
	{
		System.out.print(cadena);
		return (Short.parseShort(teclado.readLine()));
	}

	public char leerChar() throws IOException
	{
		return ((char) teclado.read());
	}

	public char leerChar( String cadena ) throws IOException
	{
		System.out.print(cadena);
		return ((char) teclado.read());
	}

	public int leerInt() throws IOException
	{
		return (Integer.parseInt(teclado.readLine()));
	}

	public int leerInt( String cadena ) throws IOException
	{
		System.out.print(cadena);
		return (Integer.parseInt(teclado.readLine()));
	}

	public double leerDouble() throws IOException
	{
		return (Double.parseDouble(teclado.readLine()));
	}

	public double leerDouble( String cadena ) throws IOException
	{
		System.out.print(cadena);
		return (Double.parseDouble(teclado.readLine()));
	}

	public long leerLong() throws IOException
	{
		return (Long.parseLong(teclado.readLine()));
	}

	public long leerLong( String cadena ) throws IOException
	{
		System.out.print(cadena);
		return (Long.parseLong(teclado.readLine()));
	}

}
